//## begin module%1.4%.codegen_version preserve=yes
//   Read the documentation to learn more about C++ code generator
//   versioning.
//## end module%1.4%.codegen_version

//## begin module%3E034B080217.cm preserve=no
//	  %X% %Q% %Z% %W%
//## end module%3E034B080217.cm

//## begin module%3E034B080217.cp preserve=no
//## end module%3E034B080217.cp

//## Module: PlotUnfolded%3E034B080217; Package specification
//## Subsystem: XSPlot::Commands%3DA1AFD101BF
//## Source file: /local/data/xerxes1/gordon/headas/Xspec/src/XSPlot/Commands/PlotUnfolded.h

#ifndef PLOTUNFOLDED_H
#define PLOTUNFOLDED_H 1

//## begin module%3E034B080217.additionalIncludes preserve=no
//## end module%3E034B080217.additionalIncludes

//## begin module%3E034B080217.includes preserve=yes
//## end module%3E034B080217.includes

// PlotCommand
#include <XSPlot/Plot/PlotCommand.h>
//## begin module%3E034B080217.declarations preserve=no
//## end module%3E034B080217.declarations

//## begin module%3E034B080217.additionalDeclarations preserve=yes
class PlotGroup;
class PlotSettings;
struct StandardLabels;
//## end module%3E034B080217.additionalDeclarations


//## begin PlotUnfolded%3E034A5E01C0.preface preserve=yes
//## end PlotUnfolded%3E034A5E01C0.preface

//## Class: PlotUnfolded%3E034A5E01C0
//## Category: XSPlot::PlotCommands%3DAF12C70234
//## Subsystem: XSPlot::Commands%3DA1AFD101BF
//## Persistence: Transient
//## Cardinality/Multiplicity: n



class PlotUnfolded : public PlotCommand  //## Inherits: <unnamed>%4B3277E401F1
{
  //## begin PlotUnfolded%3E034A5E01C0.initialDeclarations preserve=yes
  //## end PlotUnfolded%3E034A5E01C0.initialDeclarations

  public:
    //## Constructors (specified)
      //## Operation: PlotUnfolded%4B32797302CE
      PlotUnfolded (const string& name);

    //## Destructor (generated)
      virtual ~PlotUnfolded();


    //## Other Operations (specified)
      //## Operation: makeLabels%4B3278E600DB
      //	If not overridden, this does nothing.
      virtual void makeLabels (const PlotSettings& settings, StandardLabels& labels) const;

      //## Operation: requestNewXoption%4B3A36F201A6
      virtual bool requestNewXoption (const PlotSettings& settings, XaxisMode& newOption) const;

    // Additional Public Declarations
      //## begin PlotUnfolded%3E034A5E01C0.public preserve=yes
      //## end PlotUnfolded%3E034A5E01C0.public

  protected:
    // Additional Protected Declarations
      //## begin PlotUnfolded%3E034A5E01C0.protected preserve=yes
      //## end PlotUnfolded%3E034A5E01C0.protected

  private:
    //## Constructors (generated)
      PlotUnfolded(const PlotUnfolded &right);

    //## Assignment Operation (generated)
      PlotUnfolded & operator=(const PlotUnfolded &right);


    //## Other Operations (specified)
      //## Operation: manipulate%4B3278DD03DC
      //	Once the raw data has been gathered into PlotGroup
      //	objects, this is the function that performs the various
      //	mathematical operations specific to each PlotCommand
      //	subclass.
      virtual void manipulate (std::vector<PlotGroup*>& plotGroups, const PlotSettings& settings);

      //## Operation: setRanges%4B3278E10347
      //	Determines plot-time range settings based on current
      //	setplot settings and PlotGroup data.
      virtual void setRanges (std::vector<PlotGroup*>& plotGroups, const PlotSettings& settings);

    // Additional Private Declarations
      //## begin PlotUnfolded%3E034A5E01C0.private preserve=yes
      //## end PlotUnfolded%3E034A5E01C0.private

  private: //## implementation
    // Additional Implementation Declarations
      //## begin PlotUnfolded%3E034A5E01C0.implementation preserve=yes
      //## end PlotUnfolded%3E034A5E01C0.implementation

};

//## begin PlotUnfolded%3E034A5E01C0.postscript preserve=yes
//## end PlotUnfolded%3E034A5E01C0.postscript

// Class PlotUnfolded 

//## begin module%3E034B080217.epilog preserve=yes
//## end module%3E034B080217.epilog


#endif
